/***********************************************************/
/*                                                         */
/* Amiga C Manual (ACM) V3.0            Amiga C Club (ACC) */
/* -------------------------            ------------------ */
/*                                                         */
/* Chapter: Easy Sound                  Amiga C Club       */
/* File:    EasySound.h                 Tulevagen 22       */
/* Author:  Anders Bjerin               181 41  LIDINGO    */
/* Date:    92-02-29                    SWEDEN             */
/* Version: 2.15                                           */
/*                                                         */
/*   Copyright 1992, Anders Bjerin - Amiga C Club (ACC)    */
/*                                                         */
/* Registered members may use this program freely in their */
/*     own commercial/noncommercial programs/articles.     */
/*                                                         */
/***********************************************************/

#ifndef EXEC_TYPES_H
  #include <exec/types.h>
#endif !EXEC_TYPES_H

/* Sound channels: */
#define LEFT0         0
#define RIGHT0        1
#define RIGHT1        2
#define LEFT1         3

#define NONSTOP       0 /* Play the sound over and over... */
#define ONCE          1 /* Play the sound once. */ 
#define MAXVOLUME    64 /* Maximum volume. */
#define MINVOLUME     0 /* Minimum volume. */
#define NORMALRATE    0 /* Normal rate. */
#define DO_NOT_WAIT   0 /* Do not wait for the sound to be completed. */ 
#define WAIT          1 /* Wait for the sound to be completed. */

/* Sound priorities: */
#define SOUND_PRI_UNSTOPPABLE  (BYTE)127
#define SOUND_PRI_EMERGENCIES  (BYTE)95
#define SOUND_PRI_ATTENTION    (BYTE)85
#define SOUND_PRI_SPEECH       (BYTE)75
#define SOUND_PRI_INFORMATION  (BYTE)60
#define SOUND_PRI_MUSIC        (BYTE)0
#define SOUND_PRI_EFFECT       (BYTE)-35
#define SOUND_PRI_BACKGROUND   (BYTE)-90
#define SOUND_PRI_SILENCE      (BYTE)-128


extern BOOL ESPlaySound
(
  struct SoundInfo *info,
  UWORD volume,
  UBYTE channel,
  BYTE priority,
  WORD delta_rate,
  UWORD repeat,
  ULONG start,
  ULONG time,
  BOOL wait 
);

extern void ESStopSound( UBYTE channel );

extern void ESRemoveSound( struct SoundInfo *info );

extern struct SoundInfo *ESPrepareSound( STRPTR file );



/* SoundInfo structure: */
struct SoundInfo
{
  BYTE *SoundBuffer; /* WaveForm Buffers.           */
  UWORD RecordRate;  /* Record Rate.                */
  ULONG FileLength;  /* WaveForm Lengths.           */
  UBYTE channel_bit; /* Audio channel bit position. */
};

